Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1037500 - PRD34 - [RFE] add method local to donwloadImage / uploadImage
Summary: PRD34 - [RFE] add method local to donwloadImage / uploadImage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.4.0
Assignee: Liron Aravot
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.4beta 1097708 1142926
TreeView+ depends on / blocked
 
Reported: 2013-12-03 09:46 UTC by Sandro Bonazzola
Modified: 2014-09-18 12:24 UTC (History)
16 users (show)

Fixed In Version: 4.14.2-0.2.el6ev.x86_64
Doc Type: Enhancement
Doc Text:
This update adds a new action to the vdsClient command - downloadImageFromStream - which adds the ability to transfer the content of an image via a stream. This improves the efficiency of transferring data and makes it possible to transfer data of any size and format directly into an image.
Clone Of:
Environment:
Last Closed: 2014-06-09 13:26:48 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0504 normal SHIPPED_LIVE vdsm 3.4.0 bug fix and enhancement update 2014-06-09 17:21:35 UTC
oVirt gerrit 23197 None None None Never
oVirt gerrit 24597 None None None Never

Description Sandro Bonazzola 2013-12-03 09:46:23 UTC
Description of problem:
now that uploadVolume has been removed, downloadImage must be used in its place.
Actually for downloading an image from a local path it should be used method http with URL using file:// protocol.

It would be better having a method local requiring a file path instead.

Comment 1 Federico Simoncelli 2013-12-03 09:55:27 UTC
Technically it's not hard to implement, we could support something like:

 downloadImage({'method': 'local', 'path': '...'}, spUUID, sdUUID, imgUUID)

(probably based on dd)

Comment 2 Sandro Bonazzola 2013-12-03 12:16:34 UTC
raising severity since http + file:// seems not working (bug #1037584)

Comment 3 Sandro Bonazzola 2013-12-05 13:48:05 UTC
Re - targeting to 3.3.0 and proposing this as blocker, since it's blocking another bug, targeted to 3.3.0 and already acked as blocker.

Comment 4 Federico Simoncelli 2013-12-05 14:53:38 UTC
(In reply to Sandro Bonazzola from comment #3)
> Re - targeting to 3.3.0 and proposing this as blocker, since it's blocking
> another bug, targeted to 3.3.0 and already acked as blocker.

According to bug 1034777 comment 6 there's no need for this in 3.3.0. You can use uploadVolume, provided that the client connection doesn't timeout.

Comment 6 Ayal Baron 2013-12-24 08:21:45 UTC
This should be covered as part of the work for storing OVFs on any domain.

Comment 7 movciari 2014-01-13 11:54:59 UTC
how comes this is for 3.4, if it blocks  https://bugzilla.redhat.com/show_bug.cgi?id=1034777 which is targeted for 3.3?

Comment 8 Ayal Baron 2014-01-13 12:18:23 UTC
(In reply to movciari from comment #7)
> how comes this is for 3.4, if it blocks 
> https://bugzilla.redhat.com/show_bug.cgi?id=1034777 which is targeted for
> 3.3?

As you can see Bug 1034777 is ON_QA so clearly it is not blocked by this bug.

Comment 11 Sandro Bonazzola 2014-05-14 11:34:51 UTC
Hi, Liron, I can't access referenced patch 23197.
Where may I find the changes for using downloadImage verb for file:// protocol ?

Comment 17 errata-xmlrpc 2014-06-09 13:26:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0504.html


Note You need to log in before you can comment on or make changes to this bug.